Bug 45425 - JDBC Request does not support Unicode
JDBC Request does not support Unicode
Status: CLOSED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.2
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-07-17 15:00 UTC by Yaroslav
Modified: 2008-10-14 11:54 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yaroslav 2008-07-17 15:00:55 UTC
My request is like:
[Prepared Select Statement] SELECT CONCAT("text=", text) AS text FROM table_templates where name=? and lang="chi";

The "Response Data" are shown in the "View Result Three" window as:
--------------

text
text=?????????????
--------------

ER: the "?" should be Unicode characters - in my case Chinese.
Comment 1 Sebb 2008-10-05 14:44:23 UTC
This probably depends on the default encoding.

The JDBC Sampler uses the default encoding to store the string in the SampleResult.

If this encoding does not support Chinese, then some characters will be lost when the translation is performed.

What does the JMeter log file show for the file.encoding?
Comment 2 Sebb 2008-10-05 14:48:35 UTC
Forgot to add that the Tree View will only be able to display the Chinese characters if the JVM font supports it.
Comment 3 Sebb 2008-10-10 17:52:29 UTC
Sampler has been updated to always use UTF-8 for conversions:

URL: http://svn.apache.org/viewvc?rev=703617&view=rev
Log:
Bug 45425 - JDBC Request does not support Unicode

Hopefully this will solve the problem.

The fix will be in nightly builds after r703617.

Please re-open if it still does not work.
Comment 4 Yaroslav 2008-10-14 11:54:04 UTC
svn 703755

Verified - JDBC response is showing UNICODE in "View Result Tree"-"Response Data" tab.

Closing